StarFormatManagerInternal::NumberFormatter Struct Reference

a struct use to store number formatter of a StarFormatManager More...

## Classes

struct | FormatItem
| struct use to store small format item More...
struct | Format
| struct use to store different local format More...

## Public Member Functions

| NumberFormatter ()
| constructor
bool | updateNumberingProperties (STOFFCell &cell) const
| try to update the cell's formating

## Static Public Member Functions

static std::string | getTypeString (int typeId)
| returns a string corresponding to a format type

## Public Attributes

librevenge::RVNGString | m_format
| the format
int | m_language
| the format language
uint16_t | m_type
| the format type
bool | m_isStandart
| a flag to know if the format is standart
bool | m_isUsed
| a flag to know if this format is used
double | m_limits [2]
| the limits
int | m_limitsOp [2]
| the limits operator
Format | m_subFormats [4]
| the list of sub format
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, NumberFormatter const &form)
| operator<<

## Detailed Description

a struct use to store number formatter of a StarFormatManager

## Constructor & Destructor Documentation

## NumberFormatter()

StarFormatManagerInternal::NumberFormatter::NumberFormatter | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## getTypeString()

std::string StarFormatManagerInternal::NumberFormatter::getTypeString | ( | int | typeId | ) |

inline static

returns a string corresponding to a format type

Referenced by StarFormatManagerInternal::NumberFormatter::Format::operator<<, and operator<<.

## updateNumberingProperties()

bool StarFormatManagerInternal::NumberFormatter::updateNumberingProperties | ( | STOFFCell & | cell | ) | const

inline

try to update the cell's formating

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | NumberFormatter const & | form )

friend

operator<<

## Member Data Documentation

## m_extra

std::string StarFormatManagerInternal::NumberFormatter::m_extra

extra data

Referenced by NumberFormatter(), operator<<, and StarFormatManager::readNumberFormatter().

## m_format

librevenge::RVNGString StarFormatManagerInternal::NumberFormatter::m_format

the format

Referenced by NumberFormatter(), operator<<, and StarFormatManager::readNumberFormatter().

## m_isStandart

bool StarFormatManagerInternal::NumberFormatter::m_isStandart

a flag to know if the format is standart

Referenced by NumberFormatter(), operator<<, and StarFormatManager::readNumberFormatter().

## m_isUsed

bool StarFormatManagerInternal::NumberFormatter::m_isUsed

a flag to know if this format is used

Referenced by NumberFormatter(), operator<<, and StarFormatManager::readNumberFormatter().

## m_language

int StarFormatManagerInternal::NumberFormatter::m_language

the format language

Referenced by NumberFormatter(), operator<<, StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

## m_limits

double StarFormatManagerInternal::NumberFormatter::m_limits[2]

the limits

Referenced by NumberFormatter(), operator<<, and StarFormatManager::readNumberFormatter().

## m_limitsOp

int StarFormatManagerInternal::NumberFormatter::m_limitsOp[2]

the limits operator

Referenced by NumberFormatter(), operator<<, and StarFormatManager::readNumberFormatter().

## m_subFormats

Format StarFormatManagerInternal::NumberFormatter::m_subFormats[4]

the list of sub format

Referenced by operator<<, StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

## m_type

uint16_t StarFormatManagerInternal::NumberFormatter::m_type

the format type

Referenced by NumberFormatter(), operator<<, and StarFormatManager::readNumberFormatter().

The documentation for this struct was generated from the following file:

- StarFormatManager.cxx